package net.t2code.t2codelib.SPIGOT.system.config.config;

import net.t2code.t2codelib.SPIGOT.api.yaml.T2CconfigEnumManager;
import net.t2code.t2codelib.SPIGOT.system.T2CodeLibMain;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;

public class ConvertT2ClibConfig {

    public static final T2CconfigEnumManager manager = T2CLibConfig.manager;


    public static void convert() {
        File config = new File(T2CodeLibMain.getPath(), "config.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        if (!config.exists()) return;
        if (yamlConfiguration.contains("plugin.updateCheck.onJoin")) return;

        if (yamlConfiguration.contains("Plugin.UpdateCheck.OnJoin")){
            manager.getValues(T2CLibConfig.key.updateCheckOnJoin).setValue(yamlConfiguration.get("Plugin.UpdateCheck.OnJoin"));
        }
        if (yamlConfiguration.contains("Plugin.UpdateCheck.TimeInterval")){
            manager.getValues(T2CLibConfig.key.updateCheckTimeInterval).setValue(yamlConfiguration.get("Plugin.UpdateCheck.TimeInterval"));
        }
        if (yamlConfiguration.contains("Plugin.UpdateCheck.SeePreReleaseUpdates")){
            manager.getValues(T2CLibConfig.key.seePreReleaseUpdates).setValue(yamlConfiguration.get("Plugin.UpdateCheck.SeePreReleaseUpdates"));
        }
        if (yamlConfiguration.contains("Plugin.UpdateCheck.AllPlugins.FullDisable")){
            manager.getValues(T2CLibConfig.key.updateCheckFullDisable).setValue(yamlConfiguration.get("Plugin.UpdateCheck.AllPlugins.FullDisable"));
        }
        if (yamlConfiguration.contains("Plugin.Debug")){
            manager.getValues(T2CLibConfig.key.debug).setValue(yamlConfiguration.get("Plugin.Debug"));
        }
        if (yamlConfiguration.contains("Plugin.language")){
            manager.getValues(T2CLibConfig.key.language).setValue(yamlConfiguration.get("Plugin.language"));
        }
        if (yamlConfiguration.contains("Plugin.Not recommended to disable.developerTool")){
            manager.getValues(T2CLibConfig.key.developerTool).setValue(yamlConfiguration.get("Plugin.Not recommended to disable.developerTool"));
        }
        if (yamlConfiguration.contains("BungeeCord.Enable")){
            manager.getValues(T2CLibConfig.key.proxy).setValue(yamlConfiguration.get("BungeeCord.Enable"));
        }
        if (yamlConfiguration.contains("Player.Inventories.CloseByServerStop")){
            manager.getValues(T2CLibConfig.key.inventoriesCloseByServerStop).setValue(yamlConfiguration.get("Player.Inventories.CloseByServerStop"));
        }
        if (yamlConfiguration.contains("Command.PermToggle.PermissionSetCommand")){
            manager.getValues(T2CLibConfig.key.commandPermToggleCommand).setValue(yamlConfiguration.get("Command.PermToggle.PermissionSetCommand"));
        }
        config.delete();
    }
}
